Summary: Multitech IntelligentSerialInternal (ISI) Support Tools
Name: isicom
Version: 3.05
Release: 20%{?dist}
License: GPL (not Firmware)
Group: Applications/System
URL: http://www.multitech.com/
Source: L305_22X_24X.tar.bz2
Source1: isicom.init
Patch0: isicom-3.05-cleaned-up-targets.patch
ExcludeArch: s390 s390x

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires(post): initscripts /sbin/chkconfig
Requires(postun): initscripts /sbin/service

%description
The isicom package contains the binary images and loader for
Multi-Tech Systems Intelligent Serial Interface(TM) (ISI) data
files. Multi-Tech ISI multiport serial cards provide additional serial
ports for remote access servers, multi-user hosts and PCs. The isicom
package contains the files needed to use an ISI card with a Linux
system.

Install isicom if you're using a Multi-Tech ISI serial card.

%prep
%setup -n isicom_3.05
%patch0 -p1 -b .mkefile-cleanup

%build
make clean
make firmld

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/isicom
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
install -s -m 755 firmld $RPM_BUILD_ROOT%{_sbindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/isicom
install -m 644 *.bin $RPM_BUILD_ROOT%{_datadir}/isicom

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add isicom

%preun
{
  if [ "$1" = "0" ]; then
    /sbin/chkconfig --del isicom
    /sbin/service isicom stop &> /dev/null || :
  fi
}

%postun
{
  if [ "$1" -ge "1" ]; then
    /sbin/service isicom condrestart &> /dev/null || :
  fi
}

%files
%defattr(-, root, root, 755)
%{_sysconfdir}/rc.d/init.d/isicom
/usr/sbin/firmld
%dir %{_datadir}/isicom
%{_datadir}/isicom/*.bin

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.05-20
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> 3.05-19
- Rebuild for build id

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.05-18.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.05-18.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.05-18.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sat Mar 05 2005 Florian La Roche <laroche@redhat.com>
- fix typo

* Thu Mar  3 2005 Mike A. Harris <mharris@redhat.com> 3.05-17
- Rebuilt with gcc 4 for FC4.
- Changed Prereq to Requires(post), Requires(postun)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 3.05-16
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 3.05-15
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 3.05-14
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 3.05-13
- rebuilt

* Tue Jan 14 2003 Mike A. Harris <mharris@redhat.com> 3.05-12
- Update Usage: line in initscript to not hardcode the script name,
  but use variable expansion instead, so that translators do not try and
  translate it (#81857)

* Mon Jan  6 2003 Dan Walsh <dwalsh@redhat.com> 3.05-11
- Fix service description

* Wed Dec  4 2002 Bill Nottingham <notting@redhat.com> 3.05-10
- don't run by default

* Wed Oct  8 2002 Mike A. Harris <mharris@redhat.com> 3.05-9
- Added status target to initscript to quell rpmlint warning
- Fixed bug in initscript case statement missing ;;
- Closed tracking reminder bug (#75333)

* Wed Oct  8 2002 Mike A. Harris <mharris@redhat.com> 3.05-8
- Made package LSB/FHS friendlier by doing the following
- Added post/preun/postun scripts for properly handling the initscript
- Added $ to strings in initscript for i18n
- Added condrestart target to initscript
- Added subsystem locking to initscript
- Added prereq deps to specfile

* Mon Oct  7 2002 Mike A. Harris <mharris@redhat.com> 3.05-7
- All-arch rebuild
- Cleaned up _datadir, _bindir, etc stuff.

* Mon Aug  5 2002 Mike A. Harris <mharris@redhat.com> 3.05-6
- Changed defattr(644, root, root, 755) to defattr(-, root, root, 755) because
  it was just ohhh so wrong.  (#70762)

* Tue Jul  9 2002 Tim Powers <timp@redhat.com>
- rebuilt in new environment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 21 2001 Mike A. Harris <mharris@redhat.com> 3.05-3
- Bump release and rebuild in rawhide. (-1 was built for 7.2)

* Fri Dec 21 2001 Mike A. Harris <mharris@redhat.com> 3.05-1
- Updated isicom to version 3.05
- Fixed up Makefile patch
- Added initscript for isicom from bug (#54343)

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- fixed non-standard dir perms on /usr/share/isicom

* Mon Jul  9 2001 Mike A. Harris <mharris@redhat.com> 1.0-7
- s/Copyright/License/ and fix buildroot dir
- Made package own directory: /usr/share/isicom

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- sanitized the spec file
